Draft "Текст"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Text and the translation is 35% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Text.svg Текст

Системное название
Draft_Text
Расположение в меню
Annotation → Текст
Верстаки
Draft, Arch
Быстрые клавиши
T E
Представлено в версии
0.7
См. также
Метка, Фигура из текста

Описание

Инструмент Draft Text.svg Текст позволяет добавить в документ многострочную текстовую область в указанную точку. Он использует предварительно выбранный Draft Linestyle, установленный в Draft Tray.

To create a text element with an arrow use the Draft Label command instead.

Draft Text example.png

Для размещения текстового поля требуется одна точка

Использование

See also: Draft Tray and Draft Snap.

  1. Нажмите кнопку Draft Text.svg Текст, или нажмите клавишу T, а затемE
  2. Укажите точку на трёхмерном виде или задайте координаты и нажмите кнопку Draft AddPoint.svg add point.
  3. Введите желаемый текст нажимая Enter между каждыми строками
  4. Дважды нажмите Enter для завершения.

Опции

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • Для указания координат вручную, введите число и нажимайте ENTER для перехода между координатами X, Y и Z. Вы можете нажать кнопку Draft AddPoint.svg добавить точку, когда у вас есть нужные значения для вставки точки.
  • Удерживайте Ctrl при размещении текста, чтобы принудительно установить привязку вашей точки в ближайшее место привязки, независимо от расстояния.
  • Нажмите Enter или ↓ Стрелка вниз, чтобы ввести новую строку текста.
  • Нажмите ↑ Стрелка вверх, чтобы отредактировать предыдущую строку текста.
  • Дважды нажмите Enter или ↓ Стрелка вниз, чтобы завершить редактирование текста.
  • Нажмите Esc или кнопку Close, чтобы прервать выполнение текущей команды.

Примечания

Свойства

See also: Property editor.

A Draft Text object is derived from an App FeaturePython object and inherits all its properties. The following properties are additional unless otherwise stated.

Данные

Основные

  • ДанныеПоложение: указывает базовую точку первой линии текстового блока.
  • ДанныеТекст: указывает содержимое текстового блока как список строк, каждый элемент списка, разделённый запятыми, показывает новую строку

Вид

Annotation

  • ВидAnnotation Style (Enumeration): specifies the annotation style applied to the text. See Draft AnnotationStyleEditor.
  • ВидScale Multiplier (Float): specifies the general scaling factor applied to the text.

Display Options

  • ВидDisplay Mode (Enumeration): specifies how the text is displayed. If it is 3D text the text will be displayed in a plane defined by its ДанныеPlacement. If it is 2D text the text will always face the camera. This is an inherited property.

Graphics

  • ВидLine Color (Color): not used.
  • ВидLine Width (Float): not used.

Text

  • ВидРежим отображения: если это «3D текст», текст будет выровнен по осям сцены, изначально лежащим в плоскости XY; если это «2D-текст», текст всегда будет смотреть в камеру.
  • ВидШрифт: указывает шрифт для отображения текста. Может быть название шрифта, например "Arial", название стиля, например, "sans", "serif" или "mono", название семейства, например, "Arial,Helvetica,sans", или название со стилем, например "Arial:Bold". Если указанный шрифт не найден в системе, то будет использован основной.
  • ВидРазмер шрифта: указывает размер символов текста. Если текстовый объект создается в древе проекта, но текст не отображается, увеличивайте размер текста, пока он не станет видим.
  • ВидВыравнивание: указывает выравнивание текста налево, направо или по центру от базовой точки.
  • ВидМежстрочное расстояние: указывает расстояние между строк текста.

Программирование

См. так же: Draft API и Основы составления скриптов FreeCAD.

Инструмент Текст может быть использован в макросах и из консоли Python следующими функциями:

text = make_text(string, placement=None, screen=False)
  • Создать объект Text в point, определённой как FreeCAD.Vector.
  • stringlist это строка, или список строк, если это список, каждый элемент показывается в отдельной строке.
  • Если screen равен True, текст всегда ориентируется в направлении просмотра камеры, иначе выравнивается по осям сцены и лежит в плоскости XY.

The view properties of text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

t1 = "This is a sample text"
p1 = App.Vector(0, 0, 0)

t2 = ["First line", "second line"]
p2 = App.Vector(1000, 1000, 0)

text1 = Draft.make_text(t1, p1)
text2 = Draft.make_text(t2, p2)
text1.ViewObject.FontSize = 200
text2.ViewObject.FontSize = 200

zaxis = App.Vector(0, 0, 1)

t3 = ["Upside", "down"]
p3 = App.Vector(-1000, -500, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 180))
text3 = Draft.make_text(t3, place3)
text3.ViewObject.FontSize = 200

doc.recompute()